package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 学校设施对象 tb_school_facilities
 * 
 * @author ruoyi
 * @date 2022-10-12
 */
public class TbSchoolFacilities extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 学校id */
    @Excel(name = "学校id")
    private Long schoolId;

    private String schoolCnName;

    /** 设施类型 */
    @Excel(name = "设施类型")
    private String facilitiesType;

    /** 设施 */
    @Excel(name = "设施")
    private String facilities;

    @Excel(name = "创建人")
    private String creatorDesc;

    @Excel(name = "修改人")
    private String modifiedByDesc;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setSchoolId(Long schoolId) 
    {
        this.schoolId = schoolId;
    }

    public Long getSchoolId() 
    {
        return schoolId;
    }
    public void setFacilitiesType(String facilitiesType) 
    {
        this.facilitiesType = facilitiesType;
    }

    public String getFacilitiesType() 
    {
        return facilitiesType;
    }
    public void setFacilities(String facilities) 
    {
        this.facilities = facilities;
    }

    public String getFacilities() 
    {
        return facilities;
    }

    public String getSchoolCnName() {
        return schoolCnName;
    }

    public void setSchoolCnName(String schoolCnName) {
        this.schoolCnName = schoolCnName;
    }

    public String getCreatorDesc() {
        return creatorDesc;
    }

    public void setCreatorDesc(String creatorDesc) {
        this.creatorDesc = creatorDesc;
    }

    public String getModifiedByDesc() {
        return modifiedByDesc;
    }

    public void setModifiedByDesc(String modifiedByDesc) {
        this.modifiedByDesc = modifiedByDesc;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("schoolId", getSchoolId())
            .append("facilitiesType", getFacilitiesType())
            .append("facilities", getFacilities())
            .toString();
    }
}
